%define upstream_name    Data-Dumper-Concise
%define upstream_version 2.020

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Less indentation and newlines plus sub deparsing
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Data/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Devel::ArgNames)
BuildRequires: perl(ExtUtils::MakeMaker)

BuildArch: noarch


%description
This module always exports a single function, Dumper, which can be called
with a single reference value to dump that value or with no arguments to
return the Data::Dumper object it's created.

It exists, fundamentally, as a convenient way to reproduce a set of Dumper
options that we've found ourselves using across large numbers of
applications, primarily for debugging output.

The principle guiding theme is "all the concision you can get while still
having a useful dump and not doing anything cleverer than setting
Data::Dumper options" - it's been pointed out to us that
Data::Dump::Streamer can produce shorter output with less lines of code. We
know. This is simpler and we've never seen it segfault. But for
complex/weird structures, it generally rocks. You should use it as well,
when Concise is underkill. We do.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%{make}

%check
%{make} test

%install
rm -rf %buildroot
%makeinstall_std

%clean
rm -rf %buildroot

%files
%defattr(-,root,root)
%doc Changes META.yml
%{_mandir}/man3/*
%perl_vendorlib/*


%changelog
* Fri Oct 18 2013 umeabot <umeabot> 2.20.0-4.mga4
+ Revision: 510568
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.20.0-3.mga3
+ Revision: 365303
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Jan 30 2011 dmorgan <dmorgan> 2.20.0-2.mga1
+ Revision: 44758
- New version

* Mon Jan 24 2011 jquelin <jquelin> 2.12.0-2.mga1
+ Revision: 36874
- rebuild

* Sun Jan 23 2011 jquelin <jquelin> 2.12.0-1.mga1
+ Revision: 34888
- mageia rebuild
- imported package perl-Data-Dumper-Concise

